LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::text::SetVariableType Constant Group Referencepublished

These constants define the type of a variable text field. More...

## Variables
const short | VAR = 0
| specifies a simple variable. More...
const short | SEQUENCE = 1
| specifies a number sequence field. More...
const short | FORMULA = 2
| specifies a formula field. More...
const short | STRING = 3
| specifies a string field. More...

## Detailed Description

These constants define the type of a variable text field.

## Variable Documentation

## ◆ FORMULA

const short FORMULA = 2

specifies a formula field.

## ◆ SEQUENCE

const short SEQUENCE = 1

specifies a number sequence field.

## ◆ STRING

const short STRING = 3

specifies a string field.

## ◆ VAR

const short VAR = 0

specifies a simple variable.